Homebrew on 10.3?

Discussion in '3DS - Homebrew Development and Emulators' started by Chawinyaw, Nov 17, 2015.

  1. Chawinyaw
    OP

    Chawinyaw Member

    Newcomer
    24
    6
    Oct 26, 2015
    United States
    So i'm thinking of updating my hardware from 9.9 to 10.3, because as of right now, it doesn't seem like there will be an update for HANs to allow Eshop access due to it requiring you NNID.

    So I have two questions:
    1) Homebrew on 10.3 is possible, but Ironhax (what I currently use) doesn't work anymore, however OoT does work. So I can have homebrew on 10.3, but Ironhax doesn't work and i'd need to use the OoT method

    2) Does Homebrew for 9.9 have anything that 10.3 doesn't? This is pretty much my final deciding factor.
     
  2. OctopusRift

    OctopusRift GBATemp's Local Octopus, Open 9am-2am. "Not Yet"

    Member
    1,460
    832
    Nov 19, 2014
    Saint Kitts and Nevis
    1) Yes. Use homebrew to install OoThax. e.g. Themehax, browserhax... so... install Oothax on 9.9 FOR 10.3 first.
    2) Nope. Even more... but maybe an arm11 kernel hack... but that's debateable.
    3) Your patting gets lesser dog excited.
     
    Ace001 likes this.
  3. sj33

    sj33 GBAtemp Addict

    Member
    2,630
    1,631
    Oct 22, 2013
    Japan
    1. I believe Ironhax should still work as long as you're not using the latest version. However, you had to update to the latest Ironhax payloads before updating to 10.3 because Browserhax and Tubehax don't work. However, all game-based *hax continue to work, including Cubic Ninja etc.

    2. No notable difference between 9.9 and 10.3 except that Themehax doesn't work anymore as of 10.2
     
  4. Chawinyaw
    OP

    Chawinyaw Member

    Newcomer
    24
    6
    Oct 26, 2015
    United States
    I haven't upgraded yet, so Ironhax does still work

    Alright will do, thanks!
     
    OctopusRift likes this.
  5. nobody231

    nobody231 GBATemp's Resident Nobody

    Member
    338
    62
    Dec 8, 2014
    United States
    Nowhere, USA
    If you update with IronHax, you better update your payloads if you haven't already. But it seems you're in luck!
     
  6. Chawinyaw
    OP

    Chawinyaw Member

    Newcomer
    24
    6
    Oct 26, 2015
    United States
    How would you go about doing that?
     
  7. sj33

    sj33 GBAtemp Addict

    Member
    2,630
    1,631
    Oct 22, 2013
    Japan
    Essentially, reinstall Ironhax using the latest version of the installer (go download a new one). This will give you the latest payload. You must do this BEFORE updating to 10.3.
     
  8. Chawinyaw
    OP

    Chawinyaw Member

    Newcomer
    24
    6
    Oct 26, 2015
    United States
    Alright, simple enough, thanks!
     
  9. OctopusRift

    OctopusRift GBATemp's Local Octopus, Open 9am-2am. "Not Yet"

    Member
    1,460
    832
    Nov 19, 2014
    Saint Kitts and Nevis
    YAY GREATER DOG IS HAPPY.
     
    Mrrraou and Ridge like this.
  10. Chawinyaw
    OP

    Chawinyaw Member

    Newcomer
    24
    6
    Oct 26, 2015
    United States
    Btw, is there a point for me to keep Ironfall once I get OoTHax and on 10.3?
     
  11. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    Given that ironhax still works on 10.3 the better question is, is there a point in getting OoT3D

    What you're probably getting hung up on is the fact that you cannot download an exploitable ironhax version from the eShop anymore. Smea did, however, provide working payloads for the OLD ironhax version that is still exploitable ;)

    https://mobile.twitter.com/smealum/status/663888138490646528
     
    Last edited by dark_samus3, Nov 17, 2015
  12. TecXero

    TecXero Technovert

    Member
    2,814
    906
    Apr 13, 2014
    United States
    Mainframe
    I'm using IronHax just fine on 10.3. Just update the IronHax payload to 10.3 before updating your firmware to 10.3.
     
  13. smisk42

    smisk42 Advanced Member

    Newcomer
    66
    9
    Oct 3, 2015
    United States
    I'm strongly considering updating to the 10.3 as well. Themehax is a little more convenient than CN, but I'm not sure if it's worth losing eshop access... I wish Nintendo hadn't been so quick about patching Smea's spoof :/
     
  14. sj33

    sj33 GBAtemp Addict

    Member
    2,630
    1,631
    Oct 22, 2013
    Japan
    Also, make sure you delete your existing save/payload to ensure it updates properly. Check the build date when you load *hax, it should at least be a November build.
     
    Ailuros27 likes this.
  15. KalasGiacomo

    KalasGiacomo Member

    Newcomer
    19
    2
    Nov 4, 2015
    Cote d'Ivoire
    I have the same situation as you. Im glad i just have to install ironhax just like the first time i did.
    I just create the save on another slot, would it be a problem? (its just to make sure i did it, because if not... BB HB)